Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 226713 - dev-libs/openct: patch (openct-0.6.11-ifdhandlerv2.patch) changes both autotools source and result
Summary: dev-libs/openct: patch (openct-0.6.11-ifdhandlerv2.patch) changes both autoto...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Crypto team [DISABLED]
URL:
Whiteboard:
Keywords:
Depends on: 162205 CVE-2008-2235
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2008-06-14 16:14 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-11-04 10:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 16:14:57 UTC
The patch in summary is touching both Makefile.in and Makefile.am, probably to avoid autotools rebuild.

This treatment is usually reserved for a few selected system packages that cannot have their autotool scripts rebuilt.

This _could_ cause maintainermode-driven rebuild (see http://blog.flameeyes.eu/articles/2008/06/13/maintaner-mode ), which is something we should be avoiding as much as possible.

Please just patch Makefile.am and/or configure.in/.ac and rebuild autotools, unless you have very good reasons not to.
Comment 1 Daniel Black (RETIRED) gentoo-dev 2008-08-31 00:34:21 UTC
purge of openct-0.6.11 to be done later version stable as per bug 233543
Comment 2 Daniel Black (RETIRED) gentoo-dev 2008-11-04 10:40:04 UTC
fixed (finally)